// -*-C++-*-
//
// File:      OmImageDisplay.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep  6 12:10:40 MEST 2002
// Usage:     -
// Info:      -

#include "OmImageDisplay.h"
#include <fstream>
#include <sstream>
#include <unistd.h> // unlink()
/***************************************************************
*
****************************************************************/
void OmImageDisplay::toRegion(const OmSourceParameters& sources)
{
    send("regions deleteall");

  // TODO: use tmpnam or something like it?

    const string fileName("c9b65ce51c3ea3d5447ed1748e7b0a7f.ds9.reg");
    ofstream os(fileName.c_str());

    os << "global color=yellow select=0 edit=0 move=0 delete=1" << endl;

    for (int id = sources.lbound(); id <= sources.ubound(); id++) 
    {


        OmSourceParameter& s = sources[id];   


    /*    if (s.extensionflag == 0) 
    {

    os << " circle("
       << s.xcoord << ','
       << s.ycoord << ','
       << s.photometryradius
       << ')'
       << " # " // << "color=yellow"
       << " text={" << id << '}'
       << endl;
  }
  else
    {


    
    */ 
        os << " ellipse("
           << s.xcoord << ','
           << s.ycoord << ','
           << s.semia  << ','
          << s.semib << ','
          << s.pasource  

          << ')'
          << " # " // << "color=yellow"
          << " text={" << id << '}'
          << endl;
       
   
     

    }
   

    os.close();
    send("regions color red");
    send("regions file " + fileName);
    unlink(fileName.c_str());
}
/******************************************************
*
******************************************************/
void OmImageDisplay::zoomTo(const OmSourceParameter& s)
{
    std::stringstream ss;

    ss << "pan to " << s.xcoord << ' ' << s.ycoord << " image";
    send(ss.str());
    send("zoom to 15");

    const string fileName("c9b65ce51c3ea3d5447ed1748e7b0a7f.ds9.reg");
    ofstream os(fileName.c_str());

    os << "global color=blue select=0 edit=0 move=0 delete=1" << endl;


    os << " circle("
       << s.xcoord << ','
       << s.ycoord << ','
       << s.photometryradius
       << ')'
       << endl;


    os << " circle("
       << s.xcoord << ','
       << s.ycoord << ','
       << s.innerbackgroundradius  // TODO!
       << ')'
       << endl;


    os << " circle("
       << s.xcoord << ','
       << s.ycoord << ','
       << s.outerbackgroundradius  // TODO!
       << ')'
       << endl;
    os.close();
    send("regions file " + fileName);
    unlink(fileName.c_str());
}




