// -*-C++-*-
//
// File:      OmImageDisplay.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep  6 12:09:43 MEST 2002
// Usage:     -
// Info:      -

#ifndef OmImageDisplay_h
#define OmImageDisplay_h

#include "Ds9.h"
#include "OmSourceParameters.h"

class OmImageDisplay : public Ds9
{
public:
  OmImageDisplay() {}

  void toRegion(const OmSourceParameters&);
  void zoomTo(const OmSourceParameter&);

protected:
  // only derived classes can use these

private:
  // member functions
  OmImageDisplay(const OmImageDisplay&);
  OmImageDisplay& operator=(const OmImageDisplay&);

  // member data
  /*
    ???BUG: cannot use any member on xmmps03???
    int xMax;
   */
};



#endif



