// -*-C++-*-
//
// File:      OmSource.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:05:04 CEST 2002
// Usage:     -
// Info:      -

#include "OmSource.h"
#include "OmSourceBrowser.h"
#include <iostream>
#include <qapplication.h>
#include <qevent.h> 
#include <qstatusbar.h>
#include <qprogressbar.h>
#include <qapplication.h>
#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qtoolbar.h>
   
/*******************************************************
* The main window for the application
*******************************************************/
OmSource::OmSource() : 
  SasTaskWindow("OM Source Browser"), _browser(0)
{

 
    // add a file menu:
    QPopupMenu* fMenu = new QPopupMenu;
    fMenu->insertItem("E&xit",  qApp, SLOT(quit()));
    menuBar()->insertItem("&File", fMenu,-1,0);

    _browser = new OmSourceBrowser(this);
    setCentralWidget(_browser);
    _browser->show();
    _browser->Initialise();
    connect(_browser, SIGNAL(HideParent()), this, SLOT(hide()));
    connect(_browser, SIGNAL(ShowParent()), this, SLOT(show()));
    connect(_browser, SIGNAL(SetCaption(QString)), this, SLOT(SetCaption(QString)));

    connect(_browser, SIGNAL(SetStatusBarMessage(char *, long)), this, SLOT(SetStatusBarMessage(char *, long)));
    connect(_browser, SIGNAL(SetStatusBarMessage(char *)), this, SLOT(SetStatusBarMessage(char *)));


    connect(_browser, SIGNAL( Exit() ), this, SLOT( Exit() ));


   
    setGeometry(0, 10, 650, 760);


    /*********test************/
    QToolBar *fileTools = new QToolBar( this, "file operations" );
    fileTools->setLabel( tr( "File Operations" ) );


  
    //   QToolButton * filePrint
    //        = new QToolButton( printIcon, "Print File", QString::null,
    //                          this, SLOT(print()), fileTools, "print file" );

 
    /*****test**********/  

    SetStatusBarMessage("omsource version 1.1");

//    statusBar()->message( "omsource version 1.0", 60000 );


  
}

OmSource::~OmSource()
{
}








