// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSource_h
#define OmSource_h
#include <qstring.h>
#include <qstatusbar.h>
#include "SasTaskWindow.h"
class OmSourceBrowser;
class OmSource : public SasTaskWindow
{
  Q_OBJECT
public:
  OmSource();
  virtual ~OmSource();

signals:
   

public  slots:
    void Hide() { hide(); };
    void Show() { show(); };;
    void Exit() { quit(); }; 
    void SetCaption(QString caption) {setCaption(caption); };
    void SetStatusBarMessage(char *caption, long time)
    {
        statusBar()->message(caption, time);

    }
  void SetStatusBarMessage(char *caption) { statusBar()->message(caption); };

    



private slots:

protected:

private:


  // member functions
  OmSource(const OmSource&);            // copy constructor (disabled)
  OmSource& operator=(const OmSource&); // assignment (disabled)

  // member data
  OmSourceBrowser* _browser;
};



#endif




