// -*-C++-*-
//
// File:      OmProgressDialog.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Sep 17 14:00:30 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmProgressDialog_h
#define OmProgressDialog_h

#include <string>

class QProgressDialog; // forward
class OmProgressDialog 
{
  
public:
  OmProgressDialog(const std::string& text, int steps);
  virtual ~OmProgressDialog();

  void setText(const std::string&);
  void setProgress(int);

  int progress() const;
  int totalSteps() const;
  //  QProgressDialog* GetProgressDialog() {return  _impl; };
protected:
  // only derived classes can use these

private:
  // member functions
  OmProgressDialog(const OmProgressDialog&);            // copy constructor (disabled)
  OmProgressDialog& operator=(const OmProgressDialog&); // assignment (disabled)

  // member data
  QProgressDialog* _impl;
};



#endif
