// -*-C++-*-
//
// File:      OmSourceLog.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Oct  2 15:26:29 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSourceLog_h
#define OmSourceLog_h
#include <qtable.h>
#include <qstring.h>
class OmSourceParameter;

class OmSourceLog : public QTable
{
  Q_OBJECT
public:
  OmSourceLog(QWidget* parent=0, const char* name=0);
  virtual ~OmSourceLog();

signals:

public  slots:
  void add(const OmSourceParameter& s);
  QString getLine(const int index);

  void restart();
private slots:

protected:
  // only derived classes can use these

private:
  // member functions
  OmSourceLog(const OmSourceLog&);            // copy constructor (disabled)
  OmSourceLog& operator=(const OmSourceLog&); // assignment (disabled)

  // member data
  QTable* _table;
  int     _current;
};



#endif
